---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.5
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Импортировать задачу
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/import/import-ticket.md
  - href: en/api-ref/import/import-ticket.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt


# Importing an issue

Use this request to import issues from other project management systems into Tracker.

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/issues/_import</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/api-ref/_assets/style/methods.md -->

<!-- endsource: en/api-ref/_assets/style/methods.md -->

{% note warning "" %}

This request can only be made by an [administrator](https://yandex.com/support/tracker/role-model.html).

{% endnote %}

## Query format {#query}

To import an issue, use an HTTP `POST` request. Issue parameters are provided in the request body in JSON format:

```json
POST /v3/issues/_import
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
  "queue": "TEST",
  "summary": "Test",
  "createdAt": "2017-08-29T12:34:41.740+0000",
  "createdBy": 11********
}
```

If necessary, you can extend the list of fields available for import. [Create](https://yandex.com.tr/support/tracker/en/user/create-param.md) additional fields in Tracker and specify them in the request body in the format:
```
"<field_name>": "<field_value>"
```

<!-- source: en/api-ref/_includes/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/api-ref/_includes/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/api-ref/_includes/authorization.md -->


* <!-- source: en/api-ref/_includes/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Identity Hub.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/api-ref/_includes/org-id.md -->


{% endcut %}
<!-- endsource: en/api-ref/_includes/headings.md -->

{% cut "Request body parameters" %}

**Required parameters**

| Parameter | Description | Data type |
| --- | --- | --- |
| queue | Queue key. | String |
| summary | Issue name, no more than 255 characters. | String |
| createdAt | Issue creation date and time in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. Must be no later than the current time. | String |
| createdBy | Username or ID of the user who created the issue. | <ul><li>String for the username</li><li>Number for the ID</li></ul> |

**Additional parameters**

<!-- source: en/api-ref/_includes/issue-request-fields-note.md -->
{% note info "" %}

The table contains the basic request parameters. For the full list of parameters and their description, see [Request parameters](https://yandex.com.tr/support/tracker/en/api-ref/issues/request-fields.md).

You can also use global custom fields and local queue fields.

{% endnote %}
<!-- endsource: en/api-ref/_includes/issue-request-fields-note.md -->

#|
|| **Parameter** | **Description** | **Data type** ||
|| key | Issue key. The key must belong to the queue that the issue is imported to.

If this parameter is omitted, the issue is assigned a key automatically.

{% note warning "" %}

In Tracker, issue key numbering is incremental. When importing with a specified number, we recommend choosing the smallest available value—when creating issues, the number is always assigned as one greater than the maximum existing number.

For example, if you import an issue with the number `KEY-100` into an empty queue, the following issues will have numbers `KEY-101`, `KEY-102`, and so on, while values from `KEY-1` to `KEY-99` will remain unused.

{% endnote %}

| String
||
|| updatedAt | Date and time of the issue's last update in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. You can specify any value in the interval from the issue creation to the current time.

The parameter is only used together with the `updatedBy` parameter. | String ||
|| updatedBy | Username or ID of the user who edited the issue last.

The parameter is only used together with the `updatedAt` parameter. | <ul><li>String for the username</li><li>Number for the ID</li></ul> ||
|| resolvedAt | Date and time when the resolution is added, in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. You can specify any value in the interval from issue creation to the time it was last updated.

The parameter is only used together with the `resolution` and `resolvedBy` parameters. | String ||
|| resolvedBy | Username or ID of the user who set the resolution.

The parameter is only used together with the `resolution` and `resolvedAt` parameters. | <ul><li>String for the username</li><li>Number for the ID</li></ul> ||
|| status | Issue status ID. The status must be present in the queue workflow for the selected issue type.

If not specified, the initial status of the workflow is used. | Number ||
|| deadline | Deadline in `YYYY-MM-DD` format. | String ||
|| resolution | Issue resolution ID.

The parameter is only used together with the `resolvedBy` and `resolvedAt` parameters. | Number ||
|| type | Issue type ID. The issue type must be present in the queue.

If not specified, the issue type that is selected as the default for the queue is used. | Number ||
|| description | Issue description, no more than 512,000 characters. | String ||
|| start | Start date in `YYYY-MM-DD` format. | String ||
|| end | End date in `YYYY-MM-DD` format. | String ||
|| assignee | Username or ID of the assignee. | <ul><li>String for the username</li><li>Number for the ID</li></ul> ||
|| priority | Priority ID.

If no priority is specified, the priority that is selected as the default for the queue is used. | Number ||
|| affectedVersions | Version IDs listed in the **Affected Version** field. The versions must exist in the queue. | JSON array ||
|| fixVersions | Version IDs listed in the **Fix Version** field. The versions must exist in the queue. | JSON array ||
|| components | IDs of the components that apply to the issue. The components must exist in the queue. | JSON array ||
|| tags | Array of issue tags. | JSON array ||
|| sprint | IDs of the sprints that the issue is part of. | JSON array ||
|| followers | Array of IDs or usernames of issue followers. | JSON array ||
|| access | Array of IDs or usernames of users listed in the **Access** field. | JSON array ||
|| unique | Unique issue ID. You can set any ID. | String ||
|| followingMaillists | IDs of mailing lists (teams and departments subscribed to the issue). | JSON array ||
|| originalEstimation | Value of the **Original Estimate** parameter in milliseconds. | Number ||
|| estimation | Value of the **Estimate** parameter in milliseconds. | Number ||
|| spent | Value of the **Time Spent** parameter in milliseconds. | Number ||
|| storyPoints | Value of the **Story Points** parameter. | Floating-point number ||
|| votedBy | Array of IDs or usernames of users who voted for the issue. | JSON array ||
|| favoritedBy | Array of IDs or usernames of users who added the issue to favorites. | JSON array ||
|#

{% endcut %}

> Example: Importing an issue.
>
> - An HTTP `POST` method is used.
> - All additional fields are displayed in the response.
> ```json
> POST /v3/issues/_import
> Host: api.tracker.yandex.net
> Authorization: OAuth <OAuth_token>
> Content-Type: application/json
> X-Org-ID or X-Cloud-Org-ID: <organization_ID>
>
> {
>  "queue": "TEST",
>  "summary": "Test",
>  "key": "TEST-1",
>  "createdAt": "2017-08-29T12:34:41.740+0000",
>  "createdBy": 11********,
>  "updatedAt": "2017-09-09T11:24:31.140+0000",
>  "updatedBy": 11********,
>  "resolvedAt": "2017-09-08T09:33:42.250+0000",
>  "resolvedBy": 11********,
>  "status": 17,
>  "deadline": "2017-09-07",
>  "resolution": 1,
>  "type": 2,
>  "description": "Test",
>  "start": "2017-09-04",
>  "end": "2017-09-07",
>  "assignee": 11********,
>  "priority": 3,
>  "affectedVersions": [1, 2, 3],
>  "fixVersions": [4, 5, 6],
>  "components": [7, 8, 9],
>  "tags": ["test", "tag"],
>  "sprint": [1, 2, 3],
>  "followers": [11********, 22********],
>  "access": [11********, 22********],
>  "unique": "issue_51827865998247********",
>  "followingMaillists": ["test@test.yaconnect.com", "mail@test.yaconnect.com"],
>  "originalEstimation": 3600000,
>  "estimation": 3600000,
>  "spent": 3600000,
>  "storyPoints": 1.0,
>  "votedBy": [11********, 22********],
>  "favoritedBy": [11********, 22********]
> }
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/api-ref/_includes/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/api-ref/_includes/answer-200.md -->

    The response body contains the parameters of the attached file in JSON format:

    ```json
    {
      "self": "https://api.tracker.yandex.net/v3/issues/TEST-1",
      "id": "141b2ef1e4b036e9********",
      "key": "TEST-1",
      "version": 1,
      "summary": "Test",
      "originalEstimation": "P1H",
      "estimation": "P1H",
      "spent": "P1H",
      "updatedBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
      },
      "resolvedAt": "2017-09-08T09:33:42.250+0000",
      "start": "2017-09-04",
      "resolvedBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
      },
      "description": "Test",
      "followingMaillists": [
        {
          "self": "https://api.tracker.yandex.net/v3/maillists/test@test.yaconnect.com",
          "id": "test@test.yaconnect.com",
          "display": "test"
        },
        {
          "self": "https://api.tracker.yandex.net/v3/maillists/mail@test.yaconnect.com",
          "id": "mail@test.yaconnect.com",
          "display": "mail"
        }
      ],
      "fixVersions": [
        {
          "self":"https://api.tracker.yandex.net/v3/versions/4",
          "id":"4",
          "display":"Version 4"
        },
        {
          "self":"https://api.tracker.yandex.net/v3/versions/5",
          "id":"5",
          "display":"Version 5"
        },
        {
          "self":"https://api.tracker.yandex.net/v3/versions/6",
          "id":"6",
          "display":"Version 6"
        }
      ],
      "type": {
        "self": "https://api.tracker.yandex.net/v3/issuetypes/2",
        "id": "2",
        "key": "task",
        "display": "Task"
      },
      "priority": {
        "self":"https://api.tracker.yandex.net/v3/priorities/3",
        "id":"3",
        "key":"normal",
        "display":"Normal"
      },
      "resolution": {
        "self":"https://api.tracker.yandex.net/v3/resolutions/1",
        "id":"1",
        "key":"fixed",
        "display":"Fixed"
      },
      "createdAt": "2017-08-29T12:34:41.740+0000",
      "followers": [
        {
          "self": "https://api.tracker.yandex.net/v3/users/11********",
          "id": "11********",
          "display": "Ivan Ivanov"
        },
        {
          "self": "https://api.tracker.yandex.net/v3/users/22********",
          "id": "22********",
          "display": "Petr Petrov"
        }
      ],
      "assignee": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
      },
      "createdBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
      },
      "commentWithoutExternalMessageCount": 0,
      "votes": 0,
      "affectedVersions": [
        {
          "self":"https://api.tracker.yandex.net/v3/versions/1",
          "id":"1",
          "display":"Version 1"
        },
        {
          "self":"https://api.tracker.yandex.net/v3/versions/2",
          "id":"2",
          "display":"Version 2"
        },
        {
          "self":"https://api.tracker.yandex.net/v3/versions/3",
          "id":"3",
          "display":"Version 3"
        }
      ],
      "commentWithExternalMessageCount": 0,
      "end": "2017-09-07",
      "deadline": "2018-05-28",
      "queue": {
        "self": "https://api.tracker.yandex.net/v3/queues/TEST",
        "id": "1",
        "key": "TEST",
        "display": "Test"
      },
      "updatedAt": "2017-09-09T11:24:31.140+0000",
      "storyPoints": 1.0,
      "status": {
        "self": "https://api.tracker.yandex.net/v3/statuses/17",
        "id": "17",
        "key": "closed",
        "display": "Closed"
      },
      "components":[
        {
          "self":"https://api.tracker.yandex.net/v3/components/7",
          "id":"7",
          "display":"Component 7"
        },
        {
          "self":"https://api.tracker.yandex.net/v3/components/8",
          "id":"8",
          "display":"Component 8"
        },
        {
          "self":"https://api.tracker.yandex.net/v3/components/9",
          "id":"9",
          "display":"Component 9"
        }
      ],
      "access": [
        {
          "self": "https://api.tracker.yandex.net/v3/users/11********",
          "id": "11********",
          "display": "Ivan Ivanov"
        },
        {
          "self": "https://api.tracker.yandex.net/v3/users/22********",
          "id": "22********",
          "display": "Petr Petrov"
        }
      ],
      "unique": "issue_51827865998247********",
      "favorite": false
    }
    ```

  {% cut "Response parameters" %}

  | Parameter | Description | Data type |
  ---------| ---------| ----------
  | self | Address of the API resource with information about the issue. | String |
  | id | Address of the API resource with information about the issue. | String |
  | key | Issue key. | String |
  | version | Issue version. Each change to the issue parameters increases its version number. | Number |
  | summary | Issue name. | String |
  | originalEstimation | Value of the **Original Estimate** parameter. | String |
  | estimation | Value of the **Estimate** parameter. | String |
  | spent | Value of the **Time Spent** parameter. | String |
  | [updatedBy](#updatedBy) | Object with information about the user who edited the issue last. | Map item |
  | resolvedAt | Date and time of the resolution. | String |
  | start | Date when work on the issue started. | String |
  | [resolvedBy](#resolvedBy) | Object with information about the user who added the resolution. | Map item |
  | description | Issue description. | String |
  | [followingMaillists](#followingMaillists) | Array of objects with information about mailing lists (teams and departments subscribed to the issue). | Array of objects |
  | [fixVersions](#fixVersions) | Versions listed in the "Fix Version" field. | JSON array |
  | [type](#type) | Issue type | JSON array |
  | [priority](#priority) | Object with information about the priority. | Map item |
  | [resolution](#resolution) | Object with information about the resolution. | Map item |
  | createdAt | Issue creation date and time. | String |
  | [followers](#followers) | Array of objects with information about issue followers. | Array of objects |
  | [assignee](#assignee) | Array of objects with information about the assignee. | Array of objects |
  | [createdBy](#createdBy) | Array of objects with information about the issue author. | Array of objects |
  | [affectedVersions](#affectedVersions) | Versions listed in the "Affected Versions" field. | JSON array |
  | [queue](#queue) | Object with information about the queue that the issue belongs to. | Map item |
  | [status](#status) | Object with information about the issue status. | Map item |
  | [components](#components) | Array of objects with information about the components of the issue. | Array of objects |
  | [access](#access) | Array of objects with information about the users listed in the "Access" field. | Array of objects |
  | commentWithoutExternalMessageCount | Number of comments on the issue. | Number |
  | votes | Number of votes for the issue. | Number |
  | commentWithExternalMessageCount | Number of messages sent from the issue page. | Number |
  | end | Date when work on the issue was completed. | String |
  | deadline | Deadline | String |
  | updatedAt | Date and time when the issue was last updated. | String |
  | storyPoints | Value of the **Story Points** parameter. | Floating-point number |
  | unique | Unique ID of the issue that was set when importing it. | String |
  | favorite | Shows if the user added the issue to favorites<br/><ul><li>true: Yes.</li><li>false: No.</li></ul> | Boolean |

  `updatedBy` **object fields** {#updatedBy}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |

  `resolvedBy` **object fields** {#resolvedBy}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |

  `followingMaillists` **object fields** {#followingMaillists}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the mailing list. | String |
  | id | Mailing list ID. | String |
  | display | Mailing list name displayed. | String |


  `fixVersions` **object fields** {#fixVersions}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the version. | String |
	| id | Version ID. | String |
  | display | Version name. | String |

  `type` **object fields** {#type}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the issue type. | String |
  | id | Issue type ID | String |
  | key | Issue type key. | String |
  | display | Issue type name displayed. | String |

  `priority` **object fields** {#priority}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the priority. | String |
  | id | Priority ID | String |
  | key | Priority key. | String |
  | display | Priority name displayed. | String |

  `resolution` **object fields** {#resolution}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the resolution. | String |
  | id | Resolution ID. | String |
  | key | Resolution key. | String |
  | display | Resolution name displayed. | String |

  `followers` **object fields** {#followers}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |

  `assignee` **object fields** {#assignee}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |


  `createdBy` **object fields** {#createdBy}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |

  `affectedVersions` **object fields** {#affectedVersions}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the version. | String |
  | id | Version ID. | String |
  | display | Version name. | String |

  `queue` **object fields** {#queue}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the queue. | String |
  | id | Queue ID. | String |
  | key | Queue key. | String |
  | display | Queue name. | String |

  `status` **object fields** {#status}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the status. | String |
  | id | Status ID. | String |
  | key | Status key. | String |
  | display | Status name displayed. | String |

  `components` **object fields** {#components}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the component. | String |
  | id | Component ID. | String |
  | key | Component key. | String |
  | display | Component name displayed. | String |

  `access` **object fields** {#access}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the version. | String |
  | id | Version ID. | String |
  | display | Version name. | String |

  {% endcut %}

- Request failed

  If the request is processed incorrectly, the API returns a message with error details:

  <!-- source: en/api-ref/_includes/answer-error-400.md -->
  400
  :   One or more request parameters have an invalid value.
  <!-- endsource: en/api-ref/_includes/answer-error-400.md -->

  <!-- source: en/api-ref/_includes/answer-error-403.md -->
  403
  :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
  <!-- endsource: en/api-ref/_includes/answer-error-403.md -->

  <!-- source: en/api-ref/_includes/answer-error-404.md -->
  404
  :   The requested object was not found. You may have specified an invalid object ID or key.
  <!-- endsource: en/api-ref/_includes/answer-error-404.md -->

  <!-- source: en/api-ref/_includes/answer-error-409.md -->
  409
  :   There was a conflict when editing the object. The error may be due to an invalid update version.
  <!-- endsource: en/api-ref/_includes/answer-error-409.md -->

  <!-- source: en/api-ref/_includes/answer-error-422.md -->
  422
  :   JSON validation error, the request is rejected.
  <!-- endsource: en/api-ref/_includes/answer-error-422.md -->

  <!-- source: en/api-ref/_includes/answer-error-500.md -->
  500
  :   Internal service error. Try again later.
  <!-- endsource: en/api-ref/_includes/answer-error-500.md -->

  <!-- source: en/api-ref/_includes/answer-error-503.md -->
  503
  :   The API service is temporarily unavailable.
  <!-- endsource: en/api-ref/_includes/answer-error-503.md -->

{% endlist %}
